Index: azure_iot_hub_mbedtls/trunk/app_iothub_client/src/main.cfg
===================================================================
--- azure_iot_hub_mbedtls/trunk/app_iothub_client/src/main.cfg	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/app_iothub_client/src/main.cfg	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2014-2016 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/app_iothub_client/src/main.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/app_iothub_client/src/main.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/app_iothub_client/src/main.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2014-2017 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/asp3_dcre/mbed/target/device.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/asp3_dcre/mbed/target/device.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/asp3_dcre/mbed/target/device.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2014-2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/asp3_dcre/mbed/target/mbed_api.c
===================================================================
--- azure_iot_hub_mbedtls/trunk/asp3_dcre/mbed/target/mbed_api.c	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/asp3_dcre/mbed/target/mbed_api.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  *
- *  Copyright (C) 2014-2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  *
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/asp3_dcre/mbed/target/mbed_api.cfg
===================================================================
--- azure_iot_hub_mbedtls/trunk/asp3_dcre/mbed/target/mbed_api.cfg	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/asp3_dcre/mbed/target/mbed_api.cfg	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/asp3_dcre/target/gr_sakura_gcc/target_support.c
===================================================================
--- azure_iot_hub_mbedtls/trunk/asp3_dcre/target/gr_sakura_gcc/target_support.c	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/asp3_dcre/target/gr_sakura_gcc/target_support.c	(revision 400)
@@ -4,5 +4,5 @@
  *      Advanced Standard Profile Kernel
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/ether_phy.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/ether_phy.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/ether_phy.h	(revision 400)
@@ -4,5 +4,5 @@
  *  Copyright (C) 2001-2009 by Dep. of Computer Science and Engineering
  *                   Tomakomai National College of Technology, JAPAN
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/if_rx62n.cfg
===================================================================
--- azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/if_rx62n.cfg	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/if_rx62n.cfg	(revision 400)
@@ -4,5 +4,5 @@
  *  Copyright (C) 2001-2009 by Dep. of Computer Science and Engineering
  *                   Tomakomai National College of Technology, JAPAN
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/if_rx62n.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/if_rx62n.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/if_rx62n.h	(revision 400)
@@ -4,5 +4,5 @@
  *  Copyright (C) 2001-2009 by Dep. of Computer Science and Engineering
  *                   Tomakomai National College of Technology, JAPAN
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/if_rx62nreg.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/if_rx62nreg.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/if_rx62nreg.h	(revision 400)
@@ -4,5 +4,5 @@
  *  Copyright (C) 2001-2009 by Dep. of Computer Science and Engineering
  *                   Tomakomai National College of Technology, JAPAN
- *  Copyright (C) 2014-2015 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/nic.cfg
===================================================================
--- azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/nic.cfg	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/nic.cfg	(revision 400)
@@ -4,5 +4,5 @@
  *  Copyright (C) 2001-2009 by Dep. of Computer Science and Engineering
  *                   Tomakomai National College of Technology, JAPAN
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/nic_asp.cfg
===================================================================
--- azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/nic_asp.cfg	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/nic_asp.cfg	(revision 400)
@@ -4,5 +4,5 @@
  *  Copyright (C) 2001-2009 by Dep. of Computer Science and Engineering
  *                   Tomakomai National College of Technology, JAPAN
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/nic_rename.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/nic_rename.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/nic_rename.h	(revision 400)
@@ -4,5 +4,5 @@
  *  Copyright (C) 2001-2009 by Dep. of Computer Science and Engineering
  *                   Tomakomai National College of Technology, JAPAN
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/tinet_nic_config.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/tinet_nic_config.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/tinet_nic_config.h	(revision 400)
@@ -4,5 +4,5 @@
  *  Copyright (C) 2001-2009 by Dep. of Computer Science and Engineering
  *                   Tomakomai National College of Technology, JAPAN
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/tinet_nic_defs.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/tinet_nic_defs.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/asp3_dcre/tinet/netdev/if_rx62n/tinet_nic_defs.h	(revision 400)
@@ -4,5 +4,5 @@
  *  Copyright (C) 2001-2009 by Dep. of Computer Science and Engineering
  *                   Tomakomai National College of Technology, JAPAN
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/musl-1.1.18/src/internal/atomic.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/musl-1.1.18/src/internal/atomic.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/musl-1.1.18/src/internal/atomic.h	(revision 400)
@@ -195,5 +195,5 @@
 #ifndef a_barrier
 #define a_barrier a_barrier
-static void a_barrier()
+static inline void a_barrier()
 {
 	volatile int tmp = 0;
Index: azure_iot_hub_mbedtls/trunk/ntshell/fatfs/ffarch.c
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/fatfs/ffarch.c	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/fatfs/ffarch.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2014-2017 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/fatfs/ffarch.cfg
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/fatfs/ffarch.cfg	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/fatfs/ffarch.cfg	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2016 Cores Co., Ltd. Japan
+ *  Copyright (C) 2016-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/fatfs/ffarch.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/fatfs/ffarch.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/fatfs/ffarch.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2014-2016 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/fatfs/mmc_rspi.cfg
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/fatfs/mmc_rspi.cfg	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/fatfs/mmc_rspi.cfg	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2016 Cores Co., Ltd. Japan
+ *  Copyright (C) 2016-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/fatfs/mmc_rspi.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/fatfs/mmc_rspi.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/fatfs/mmc_rspi.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2016 Cores Co., Ltd. Japan
+ *  Copyright (C) 2016-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/echonet_app_config.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/echonet_app_config.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/echonet_app_config.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2016 Cores Co., Ltd. Japan
+ *  Copyright (C) 2016-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/fdtable.c
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/fdtable.c	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/fdtable.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2017 Cores Co., Ltd. Japan
+ *  Copyright (C) 2017-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/fdtable.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/fdtable.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/fdtable.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2017 Cores Co., Ltd. Japan
+ *  Copyright (C) 2017-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/io_stub.c
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/io_stub.c	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/io_stub.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  *
- *  Copyright (C) 2017 Cores Co., Ltd. Japan
+ *  Copyright (C) 2017-2019 Cores Co., Ltd. Japan
  *
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/net_misc.c
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/net_misc.c	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/net_misc.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/net_misc.cfg
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/net_misc.cfg	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/net_misc.cfg	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/net_misc.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/net_misc.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/net_misc.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/netcmd.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/netcmd.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/netcmd.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/ntp_cli.c
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/ntp_cli.c	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/ntp_cli.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/ntp_cli.cfg
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/ntp_cli.cfg	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/ntp_cli.cfg	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/ntp_cli.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/ntp_cli.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/ntp_cli.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/ntshell_main.c
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/ntshell_main.c	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/ntshell_main.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2014-2017 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/ntshell_main.cfg
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/ntshell_main.cfg	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/ntshell_main.cfg	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2014-2016 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/ntshell_main.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/ntshell_main.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/ntshell_main.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2014-2017 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/shellif.h
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/shellif.h	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/shellif.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2017 Cores Co., Ltd. Japan
+ *  Copyright (C) 2017-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/socket_stub.c
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/socket_stub.c	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/socket_stub.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2017 Cores Co., Ltd. Japan
+ *  Copyright (C) 2017-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/syscall.c
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/syscall.c	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/syscall.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  *
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  *
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: azure_iot_hub_mbedtls/trunk/ntshell/src/tinet_main.cfg
===================================================================
--- azure_iot_hub_mbedtls/trunk/ntshell/src/tinet_main.cfg	(revision 398)
+++ azure_iot_hub_mbedtls/trunk/ntshell/src/tinet_main.cfg	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ