Index: /rubycfg_ssp/trunk/ssp_ruby.patch
===================================================================
--- /rubycfg_ssp/trunk/ssp_ruby.patch	(revision 409)
+++ /rubycfg_ssp/trunk/ssp_ruby.patch	(revision 410)
@@ -1,8 +1,8 @@
-diff -x .git -uprN ssp_2/arch/arm_m_gcc/Makefile.prc ssp_3/arch/arm_m_gcc/Makefile.prc
---- ssp_2/arch/arm_m_gcc/Makefile.prc	2014-03-18 09:28:35.000000000 +0900
-+++ ssp_3/arch/arm_m_gcc/Makefile.prc	2017-04-28 16:40:20.000000000 +0900
+diff -x build -uprN ssp/arch/arm_m_gcc/Makefile.prc ssp_patched2/arch/arm_m_gcc/Makefile.prc
+--- ssp/arch/arm_m_gcc/Makefile.prc	2014-03-18 09:28:35.000000000 +0900
++++ ssp_patched2/arch/arm_m_gcc/Makefile.prc	2020-03-12 10:01:45.921186240 +0900
 @@ -18,17 +18,17 @@ LIBS := $(LIBS)  -lgcc
  #
- #  カーネルに関する定義
+ #  ã«ã¼ãã«ã«é¢ããå®ç¾©
  #
 -KERNEL_DIR := $(KERNEL_DIR) $(SRCDIR)/arch/$(PRC)_$(TOOL)
@@ -12,5 +12,5 @@
  
  #
- #  コンフィギュレータ関係の変数の定義
+ #  ã³ã³ãã£ã®ã¥ã¬ã¼ã¿é¢ä¿ã®å¤æ°ã®å®ç¾©
  #
 -CFG_TABS := $(CFG_TABS) --cfg1-def-table $(SRCDIR)/arch/$(PRC)_$(TOOL)/prc_def.csv
@@ -18,12 +18,59 @@
  
  #
- #  依存関係の定義
+ #  ä¾å­é¢ä¿ã®å®ç¾©
  #
 -cfg1_out.c: $(SRCDIR)/arch/$(PRC)_$(TOOL)/prc_def.csv
 +cfg1_out.c: $(SRCDIR)/arch/$(PRC)_$(TOOL)/prc_sym.def
  kernel_cfg.timestamp: $(SRCDIR)/arch/$(PRC)_$(TOOL)/prc.tf
-diff -x .git -uprN ssp_2/sample/Makefile ssp_3/sample/Makefile
---- ssp_2/sample/Makefile	2017-05-01 19:47:04.000000000 +0900
-+++ ssp_3/sample/Makefile	2017-05-02 13:53:32.000000000 +0900
+diff -x build -uprN ssp/doc/porting.txt ssp_patched2/doc/porting.txt
+--- ssp/doc/porting.txt	2015-05-19 18:45:26.000000000 +0900
++++ ssp_patched2/doc/porting.txt	2020-03-12 11:12:42.701293992 +0900
+@@ -408,7 +408,7 @@ KERNEL_CFLAGS := $(KERNEL_CFLAGS) -fno-s
+ ã¾ãï¼ã¢ã»ã³ããªè¨èªã¬ãã«ã®è­å¥åãï¼Cè¨èªã¬ãã«ã®è­å¥åã®å
+é ­ã«"_"ã
+ ä»ãããã®ã«ãªãå ´åã«ã¯ï¼CDEFSã«-DTOPPERS_LABEL_ASMãè¿½å ããï¼
+ 
+-(2-4-6) SYSSVC_DIR			ã·ã¹ãã ãµã¼ãã¹ã®ã½ã¼ã¹ãç½®ããããã£ã¬ã¯ããª
++(2-4-6) SYSSVC_DIRS			ã·ã¹ãã ãµã¼ãã¹ã®ã½ã¼ã¹ãç½®ããããã£ã¬ã¯ããª
+ (2-4-7) SYSSVC_ASMOBJS		ã¢ã»ã³ããªè¨èªã§è¨è¿°ãããã·ã¹ãã ãµã¼ãã¹ã®
+ 							ãªãã¸ã§ã¯ã
+ (2-4-8) SYSSVC_COBJS		Cè¨èªã§è¨è¿°ãããã·ã¹ãã ãµã¼ãã¹ã®ãªãã¸ã§ã¯ã
+@@ -421,7 +421,7 @@ ãªãã¸ã§ã¯ããã¡ã¤ã«ã®ãªã¹ã
+ ã¤ã«ãªãã·ã§ã³ï¼ãã®æ§æã«å¿
+è¦ãªã©ã¤ãã©ãªãªã³ã¯æå®ãè¿½å ããå ´åã«ã¯ï¼
+ ä¸ã«ç¤ºããå¤æ°ã«å®ç¾©ããï¼
+ 
+-(2-4-11) KERNEL_DIR			ã«ã¼ãã«ã®ã½ã¼ã¹ãç½®ããããã£ã¬ã¯ããª
++(2-4-11) KERNEL_DIRS			ã«ã¼ãã«ã®ã½ã¼ã¹ãç½®ããããã£ã¬ã¯ããª
+ (2-4-12) KERNEL_ASMOBJS		ã¢ã»ã³ããªè¨èªã§è¨è¿°ãããã«ã¼ãã«ã®ãªãã¸ã§ã¯ã
+ (2-4-13) KERNEL_COBJS		Cè¨èªã§è¨è¿°ãããã«ã¼ãã«ã®ãªãã¸ã§ã¯ã
+ (2-4-14) KERNEL_CFLAGS		ã«ã¼ãã«ã«å¯¾ããã³ã³ãã¤ã«ãªãã·ã§ã³
+@@ -450,7 +450,7 @@ ã»ã¨ãã©ã®å ´åã«ï¼ã¿ã¼ã²ãã
+ ä¸ã®è¨è¿°ãå«ããå¿
+è¦ãããï¼
+ 
+ ----------------------------------------
+-CFG_TABS := $(CFG_TABS) --cfg1-def-table $(TARGETDIR)/target_def.csv
++CFG_TABS := $(CFG_TABS) --symval-table $(TARGETDIR)/target_sym.def
+ ----------------------------------------
+ 
+ (2-4-16) CFG1_OUT_LDFLAGS	cfg1_out.cã«å¯¾ãããªã³ã¯ãªãã·ã§ã³
+@@ -595,9 +595,9 @@ ã»ã¨ãã©ã®å ´åã«ï¼ã¿ã¼ã²ãã
+ ä¸ã®è¨è¿°ãå«ããå¿
+è¦ãããï¼
+ 
+ ----------------------------------------
+-cfg1_out.c: $(TARGETDIR)/target_def.csv
+-kernel_cfg.timestamp: $(TARGETDIR)/target.tf
+-$(OBJFILE): $(TARGETDIR)/target_check.tf
++cfg1_out.c: $(TARGETDIR)/target_sym.def
++kernel_cfg.timestamp: $(TARGETDIR)/target_kernel.trb
++check.timestamp: $(TARGETDIR)/target_check.trb
+ ----------------------------------------
+ 
+ 2.7 ãã®ä»ã®è¨­å®
+diff -x build -uprN ssp/sample/Makefile ssp_patched2/sample/Makefile
+--- ssp/sample/Makefile	2016-04-03 23:11:07.000000000 +0900
++++ ssp_patched2/sample/Makefile	2020-03-12 11:12:42.701293992 +0900
 @@ -1,5 +1,5 @@
  #
@@ -40,9 +87,10 @@
 +#              Nagoya Municipal Industrial Research Institute, JAPAN
  # 
- #  上記著作権者は，以下の(1)〜(4)の条件を満たす場合に限り，本ソフトウェ
- #  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ #  ä¸è¨èä½æ¨©è
+ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
+ #  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
 @@ -108,7 +110,7 @@ TECSGEN = @(TECSGEN)
  #
- #  オブジェクトファイル名の定義
+ #  ãªãã¸ã§ã¯ããã¡ã¤ã«åã®å®ç¾©
  #
 -OBJNAME = asp
@@ -79,5 +127,5 @@
  
  #
-+#  拡張パッケージに関する定義
++#  æ¡å¼µããã±ã¼ã¸ã«é¢ããå®ç¾©
 +#
 +
@@ -86,12 +134,12 @@
 +
 +#
- #  ターゲットファイル
+ #  ã¿ã¼ã²ãããã¡ã¤ã«
  #
  .PHONY: all
 @@ -219,17 +228,6 @@ endif
- ##### 以下は編集しないこと #####
- 
- #
--#  コンフィギュレータに関する定義
+ ##### ä»¥ä¸ã¯ç·¨éããªããã¨ #####
+ 
+ #
+-#  ã³ã³ãã£ã®ã¥ã¬ã¼ã¿ã«é¢ããå®ç¾©
 -#
 -CFG_TABS := --api-table $(SRCDIR)/kernel/kernel_api.def \
@@ -104,7 +152,7 @@
 -
 -#
- #  カーネルに関する定義
- #
- #  KERNEL_ASMOBJS: カーネルライブラリに含める，ソースがアセンブリ言語の
+ #  ã«ã¼ãã«ã«é¢ããå®ç¾©
+ #
+ #  KERNEL_ASMOBJS: ã«ã¼ãã«ã©ã¤ãã©ãªã«å«ããï¼ã½ã¼ã¹ãã¢ã»ã³ããªè¨èªã®
 @@ -244,7 +242,7 @@ CFG_CFLAGS := -DTOPPERS_CB_TYPE_ONLY $(C
  KERNEL_DIRS := $(KERNEL_DIRS) $(SRCDIR)/kernel
@@ -115,10 +163,25 @@
  
  #
- #  カーネルのファイル構成の定義
-@@ -277,12 +275,24 @@ ifndef TARGET_KERNEL_CFG
- endif
- 
- #
-+#  コンフィキﾞュレータに関する定義
+ #  ã«ã¼ãã«ã®ãã¡ã¤ã«æ§æã®å®ç¾©
+@@ -258,14 +256,6 @@ else
+ 	KERNEL_COBJS := $(KERNEL_COBJS) \
+ 					$(foreach file,$(KERNEL_FCSRCS),$(file:.c=.o))
+ endif
+-ifdef OMIT_OFFSET_H
+-	OFFSET_H =
+-else
+-	OFFSET_H = offset.h
+-endif
+-ifndef TARGET_OFFSET_TRB
+-	TARGET_OFFSET_TRB := $(TARGETDIR)/target_offset.trb
+-endif
+ ifndef TARGET_KERNEL_TRB
+ 	TARGET_KERNEL_TRB := $(TARGETDIR)/target_kernel.trb
+ endif
+@@ -277,12 +267,24 @@ ifndef TARGET_KERNEL_CFG
+ endif
+ 
+ #
++#  ã³ã³ãã£ã®ã¥ã¬ã¼ã¿ã«é¢ããå®ç¾©
 +#
 +CFG_TABS := --api-table $(SRCDIR)/kernel/kernel_api.def \
@@ -132,5 +195,5 @@
 +
 +#
- #  ソースファイルのあるディレクトリに関する定義
+ #  ã½ã¼ã¹ãã¡ã¤ã«ã®ãããã£ã¬ã¯ããªã«é¢ããå®ç¾©
  #
 -vpath %.c $(KERNEL_DIRS) $(SYSSVC_DIRS) $(APPL_DIRS)
@@ -144,6 +207,6 @@
  
  #
- #  コンパイルのための変数の定義
-@@ -330,7 +340,7 @@ $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS
+ #  ã³ã³ãã¤ã«ã®ããã®å¤æ°ã®å®ç¾©
+@@ -330,7 +332,7 @@ $(TECSGEN_TIMESTAMP): $(APPL_CDL) $(TECS
  #
  cfg1_out.c cfg1_out.db: cfg1_out.timestamp ;
@@ -154,5 +217,5 @@
  
  $(CFG1_OUT): $(START_OBJS) cfg1_out.o $(END_OBJS) $(HIDDEN_OBJS)
-@@ -345,14 +355,14 @@ cfg1_out.srec: $(CFG1_OUT)
+@@ -345,14 +347,14 @@ cfg1_out.srec: $(CFG1_OUT)
  
  $(CFG2_OUT_SRCS) cfg2_out.db: kernel_cfg.timestamp ;
@@ -162,5 +225,5 @@
  
  #
- #  オフセットファイル（offset.h）の生成規則
+ #  ãªãã»ãããã¡ã¤ã«ï¼offset.hï¼ã®çæè¦å
  #
  $(OFFSET_H): offset.timestamp ;
@@ -171,5 +234,5 @@
  
  #
-@@ -400,7 +410,7 @@ $(OBJNAME).srec: $(OBJFILE)
+@@ -400,7 +402,7 @@ $(OBJNAME).srec: $(OBJFILE)
  .PHONY: check
  check: check.timestamp ;
@@ -180,7 +243,7 @@
  	@echo "configuration check passed"
  
-diff -x .git -uprN ssp_2/sample/sample1.cfg ssp_3/sample/sample1.cfg
---- ssp_2/sample/sample1.cfg	2014-03-18 09:28:35.000000000 +0900
-+++ ssp_3/sample/sample1.cfg	2017-05-01 17:35:31.000000000 +0900
+diff -x build -uprN ssp/sample/sample1.cfg ssp_patched2/sample/sample1.cfg
+--- ssp/sample/sample1.cfg	2014-03-18 09:28:35.000000000 +0900
++++ ssp_patched2/sample/sample1.cfg	2020-03-12 10:01:45.921186240 +0900
 @@ -4,7 +4,6 @@
  
@@ -191,18 +254,18 @@
  INCLUDE("syssvc/banner.cfg");
  INCLUDE("syssvc/syslog.cfg");
-diff -x .git -uprN ssp_2/target/cq_frk_fm3_gcc/Makefile.target ssp_3/target/cq_frk_fm3_gcc/Makefile.target
---- ssp_2/target/cq_frk_fm3_gcc/Makefile.target	2014-05-08 11:47:23.000000000 +0900
-+++ ssp_3/target/cq_frk_fm3_gcc/Makefile.target	2017-05-01 19:32:34.000000000 +0900
+diff -x build -uprN ssp/target/cq_frk_fm3_gcc/Makefile.target ssp_patched2/target/cq_frk_fm3_gcc/Makefile.target
+--- ssp/target/cq_frk_fm3_gcc/Makefile.target	2014-05-08 11:47:23.000000000 +0900
++++ ssp_patched2/target/cq_frk_fm3_gcc/Makefile.target	2020-03-12 10:01:45.921186240 +0900
 @@ -1,6 +1,7 @@
  #
- #		Makefile のターゲット依存部(CQ-FRM-FM3用)
+ #		Makefile ã®ã¿ã¼ã²ããä¾å­é¨(CQ-FRM-FM3ç¨)
  #
 +OMIT_OFFSET_H = true
  
  #
- #  ボード名，プロセッサ名，開発環境名の定義
+ #  ãã¼ãåï¼ãã­ã»ããµåï¼éçºç°å¢åã®å®ç¾©
 @@ -39,7 +40,7 @@ COPTS := $(COPTS) -mcpu=cortex-m3 -mthum
  #
- #  カーネルに関する定義
+ #  ã«ã¼ãã«ã«é¢ããå®ç¾©
  #
 -KERNEL_DIR := $(KERNEL_DIR) $(TARGETDIR)
@@ -213,5 +276,5 @@
 @@ -47,21 +48,21 @@ KERNEL_CFLAGS := $(KERNEL_CFLAGS) -fno-s
  #
- #  システムサービスに関する定義
+ #  ã·ã¹ãã ãµã¼ãã¹ã«é¢ããå®ç¾©
  #
 -SYSSVC_DIR := $(SYSSVC_DIR)
@@ -221,5 +284,5 @@
  
  #
- #  コンフィギュレータ関係の変数の定義
+ #  ã³ã³ãã£ã®ã¥ã¬ã¼ã¿é¢ä¿ã®å¤æ°ã®å®ç¾©
  #
 -CFG_TABS := $(CFG_TABS) --cfg1-def-table $(TARGETDIR)/target_def.csv
@@ -227,5 +290,5 @@
  
  #
- #  トレースログに関する設定
+ #  ãã¬ã¼ã¹ã­ã°ã«é¢ããè¨­å®
  #
  ifeq ($(ENABLE_TRACE),true)
@@ -247,5 +310,5 @@
  
  #
- #  依存関係の定義
+ #  ä¾å­é¢ä¿ã®å®ç¾©
  #
 -cfg1_out.c: $(TARGETDIR)/target_def.csv
@@ -256,3 +319,3 @@
  
  #
- #  プロセッサ依存部のインクルード
+ #  ãã­ã»ããµä¾å­é¨ã®ã¤ã³ã¯ã«ã¼ã