Index: ssp_armv6_m_gcc/branches/rubycfg/lpcxpresso_lpc812_gcc/Makefile.target
===================================================================
--- ssp_armv6_m_gcc/branches/rubycfg/lpcxpresso_lpc812_gcc/Makefile.target	(revision 413)
+++ ssp_armv6_m_gcc/branches/rubycfg/lpcxpresso_lpc812_gcc/Makefile.target	(revision 414)
@@ -13,5 +13,4 @@
 #  CMSIS を使うかどうか
 #
-
 USE_CMSIS = false
 CMSIS_INCLUDE_PATH = /Users/saito/Documents/LPCXpresso_5.2.4/workspace/CMSIS_CORE_LPC8xx/inc
@@ -21,5 +20,4 @@
 #  MTB(Micro Trace Buffer)を使うかどうか
 #
-
 USE_MTB = false
 MTB_BUF_SIZE = 64
@@ -31,33 +29,28 @@
 
 #
-#  各セグメントの開始アドレスの定義
+#  コンパイルオプション
 #
+COPTS := $(COPTS) -mcpu=cortex-m0 -mthumb
+CDEFS := $(CDEFS) -D__NEWLIB__
+INCLUDES := $(INCLUDES) -I$(TARGETDIR)
+LDFLAGS := $(LDFLAGS)
+LIBS := $(LIBS)
 
 #
-#  コンパイルオプション
+#  システムサービスに関する定義
 #
-INCLUDES := $(INCLUDES) -I$(TARGETDIR)
-CDEFS := $(CDEFS) -D__NEWLIB__
-COPTS := $(COPTS) -mcpu=cortex-m0 -mthumb
+SYSSVC_DIRS := $(SYSSVC_DIRS)
+SYSSVC_ASMOBJS := $(SYSSVC_ASMOBJS)
+SYSSVC_COBJS := $(SYSSVC_COBJS)
+SYSSVC_CFLAGS := $(SYSSVC_CFLAGS)
+SYSSVC_LIBS := $(SYSSVC_LIBS)
 
 #
 #  カーネルに関する定義
 #
-KERNEL_DIR := $(KERNEL_DIR) $(TARGETDIR)
-KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) target_support.o 
+KERNEL_DIRS := $(KERNEL_DIRS) $(TARGETDIR)
+KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) target_support.o
 KERNEL_COBJS := $(KERNEL_COBJS) target_config.o target_serial.o
 KERNEL_CFLAGS := $(KERNEL_CFLAGS) -fno-strict-aliasing
-
-#
-#  システムサービスに関する定義
-#
-SYSSVC_DIR := $(SYSSVC_DIR)
-SYSSVC_COBJS := $(SYSSVC_COBJS)
-SYSSVC_CFLAGS := $(SYSSVC_CFLAGS)
-
-#
-#  コンフィギュレータ関係の変数の定義
-#
-CFG_TABS := $(CFG_TABS) --cfg1-def-table $(TARGETDIR)/target_def.csv
 
 #
@@ -66,7 +59,27 @@
 ifeq ($(ENABLE_TRACE),true)
 	COPTS := $(COPTS) -DTOPPERS_ENABLE_TRACE
-	KERNEL_DIR := $(KERNEL_DIR) $(SRCDIR)/arch/logtrace
+	KERNEL_DIRS := $(KERNEL_DIRS) $(SRCDIR)/arch/logtrace
 	KERNEL_COBJS := $(KERNEL_COBJS) trace_config.o trace_dump.o
 endif
+
+#
+#  コンフィギュレータ関係の変数の定義
+#
+CFG_TABS := $(CFG_TABS) --symval-table $(TARGETDIR)/target_sym.def
+CFG1_OUT_LDFLAGS := $(CFG1_OUT_LDFLAGS)
+CFG_OBJS := $(CFG_OBJS)
+CFG2_OUT := $(CFG2_OUT)
+
+#
+#  -Wall オプションの省略
+#    -Wallを追加したくない場合に true に定義する
+#
+#OMIT_WARNING_ALL = true
+
+#
+#  最適化フラグの省略
+#    -O2を追加したくない場合に true に定義する
+#
+#OMIT_OPTIMIZATION = true
 
 #
@@ -99,17 +112,33 @@
 
 #
+#  各セクションの先頭番地の指定
+#
+#TEXT_START_ADDRESS =
+#DATA_START_ADDRESS =
+
+#
 #  スタートアップモジュールに関する定義
 #
+
+#  スタートアップモジュール
+START_OBJS =
 #  リンカスクリプトに「STARTUP(start.o)」を記述したため，スタートアップモジュー
 #  ルの名前をHIDDEN_OBJSに定義する．また，LDFLAGSに-nostdlibを追加している．
-#
 HIDDEN_OBJS = start.o
 
+# スタートアップモジュールのコンパイルルール
+$(START_OBJS): %.o: %.S
+	$(CC) -c $(CFLAGS) $(KERNEL_CFLAGS) $<
 $(HIDDEN_OBJS): %.o: %.S
 	$(CC) -c $(CFLAGS) $(KERNEL_CFLAGS) $<
 
+
+# スタートアップモジュールの依存関係作成ルール
+$(START_OBJS:.o=.d): %.d: %.S
+	@$(PERL) $(SRCDIR)/utils/makedep -C $(CC) $(MAKEDEP_OPTS) \
+                -O "$(CFLAGS) $(KERNEL_CFLAGS)" $< >> Makefile.depend
 $(HIDDEN_OBJS:.o=.d): %.d: %.S
-	@$(PERL) $(SRCDIR)/utils/makedep -C $(CC) \
-		-O "$(CFLAGS) $(KERNEL_CFLAGS)" $< >> Makefile.depend
+	@$(PERL) $(SRCDIR)/utils/makedep -C $(CC) $(MAKEDEP_OPTS) \
+                -O "$(CFLAGS) $(KERNEL_CFLAGS)" $< >> Makefile.depend
 
 LDFLAGS := -nostdlib $(LDFLAGS) --entry=_start
@@ -118,7 +147,14 @@
 #  依存関係の定義
 #
-cfg1_out.c: $(TARGETDIR)/target_def.csv
-kernel_cfg.timestamp: $(TARGETDIR)/target.tf
-$(OBJFILE): $(TARGETDIR)/target_check.tf
+cfg1_out.c: $(TARGETDIR)/target_sym.def
+kernel_cfg.timestamp: $(TARGETDIR)/target_kernel.trb
+check.timestamp: $(TARGETDIR)/target_check.trb
+
+#
+#  その他
+#
+CLEAN_FILES := $(CLEAN_FILES)
+REALCLEAN_FILES := $(REALCLEAN_FILES)
+
 
 #
Index: ssp_armv6_m_gcc/branches/rubycfg/lpcxpresso_lpc812_gcc/target_check.trb
===================================================================
--- ssp_armv6_m_gcc/branches/rubycfg/lpcxpresso_lpc812_gcc/target_check.trb	(revision 414)
+++ ssp_armv6_m_gcc/branches/rubycfg/lpcxpresso_lpc812_gcc/target_check.trb	(revision 414)
@@ -0,0 +1,6 @@
+# -*- coding: utf-8 -*-
+#
+#		パス3の生成スクリプトのターゲット依存部
+#
+
+IncludeTrb("prc_check.trb")
Index: ssp_armv6_m_gcc/branches/rubycfg/lpcxpresso_lpc812_gcc/target_kernel.cfg
===================================================================
--- ssp_armv6_m_gcc/branches/rubycfg/lpcxpresso_lpc812_gcc/target_kernel.cfg	(revision 414)
+++ ssp_armv6_m_gcc/branches/rubycfg/lpcxpresso_lpc812_gcc/target_kernel.cfg	(revision 414)
@@ -0,0 +1,1 @@
+INCLUDE("target_timer.cfg");
Index: ssp_armv6_m_gcc/branches/rubycfg/lpcxpresso_lpc812_gcc/target_kernel.trb
===================================================================
--- ssp_armv6_m_gcc/branches/rubycfg/lpcxpresso_lpc812_gcc/target_kernel.trb	(revision 414)
+++ ssp_armv6_m_gcc/branches/rubycfg/lpcxpresso_lpc812_gcc/target_kernel.trb	(revision 414)
@@ -0,0 +1,7 @@
+# -*- coding: utf-8 -*-
+#
+#		パス2の生成スクリプトのターゲット依存部
+#
+
+IncludeTrb("prc_kernel.trb")
+IncludeTrb("syssvc/banner.trb")