Index: EcnlProtoTool/trunk/webapp/webmrbc/Blockly.cs
===================================================================
--- EcnlProtoTool/trunk/webapp/webmrbc/Blockly.cs	(revision 321)
+++ EcnlProtoTool/trunk/webapp/webmrbc/Blockly.cs	(revision 425)
@@ -32,13 +32,13 @@
 	public partial class Blockly
 	{
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static Xml Xml;
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static Events Events;
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static Procedures Procedures;
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static Variables Variables;
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static Names Names;
 
@@ -46,5 +46,5 @@
 		/// Number of pixels the mouse must move before a drag starts.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int DRAG_RADIUS = 5;
 
@@ -52,5 +52,5 @@
 		/// Maximum misalignment between connections for them to snap together.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int SNAP_RADIUS = 20;
 
@@ -58,5 +58,5 @@
 		/// Delay in ms between trigger and bumping unconnected block out of alignment.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int BUMP_DELAY = 250;
 
@@ -64,5 +64,5 @@
 		/// Number of characters to truncate a collapsed block to.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int COLLAPSE_CHARS = 30;
 
@@ -70,5 +70,5 @@
 		/// Length in ms for a touch to become a long press.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int LONGPRESS = 750;
 
@@ -77,5 +77,5 @@
 		/// miliseconds.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int SOUND_LIMIT = 100;
 
@@ -84,5 +84,5 @@
 		/// Must be in the range of 0 (inclusive) to 1 (exclusive).
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static double HSV_SATURATION = 0.45;
 
@@ -91,5 +91,5 @@
 		/// Must be in the range of 0 (inclusive) to 1 (exclusive).
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static double HSV_VALUE = 0.65;
 
@@ -97,5 +97,5 @@
 		/// Sprited icons and images.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static object SPRITE = new {
 			width = 96,
@@ -107,5 +107,5 @@
 		/// Required name space for SVG elements.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static readonly string SVG_NS = "http://www.w3.org/2000/svg";
 
@@ -113,5 +113,5 @@
 		/// Required name space for HTML elements.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static readonly string HTML_NS = "http://www.w3.org/1999/xhtml";
 
@@ -119,5 +119,5 @@
 		/// ENUM for a right-facing value input.  E.g. 'set item to' or 'return'.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int INPUT_VALUE = 1;
 
@@ -125,5 +125,5 @@
 		/// ENUM for a left-facing value output.  E.g. 'random fraction'.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int OUTPUT_VALUE = 2;
 
@@ -131,5 +131,5 @@
 		/// ENUM for a down-facing block stack.  E.g. 'if-do' or 'else'.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int NEXT_STATEMENT = 3;
 
@@ -137,5 +137,5 @@
 		/// ENUM for an up-facing block stack.  E.g. 'break out of loop'.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int PREVIOUS_STATEMENT = 4;
 
@@ -143,5 +143,5 @@
 		/// ENUM for an dummy input.  Used to add field(s) with no input.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int DUMMY_INPUT = 5;
 
@@ -149,5 +149,5 @@
 		/// ENUM for left alignment.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int ALIGN_LEFT = -1;
 
@@ -155,5 +155,5 @@
 		/// ENUM for centre alignment.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int ALIGN_CENTRE = 0;
 
@@ -161,5 +161,5 @@
 		/// ENUM for right alignment.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int ALIGN_RIGHT = 1;
 
@@ -167,5 +167,5 @@
 		/// ENUM for no drag operation.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int DRAG_NONE = 0;
 
@@ -173,5 +173,5 @@
 		/// ENUM for inside the sticky DRAG_RADIUS.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int DRAG_STICKY = 1;
 
@@ -180,5 +180,5 @@
 		/// clicks and drags.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int DRAG_BEGIN = 1;
 
@@ -186,5 +186,5 @@
 		/// ENUM for freely draggable (outside the DRAG_RADIUS, if one applies).
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int DRAG_FREE = 2;
 
@@ -192,5 +192,5 @@
 		/// Lookup table for determining the opposite type of a connection.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int[] OPPOSITE_TYPE = {
 			0,
@@ -204,5 +204,5 @@
 		/// ENUM for toolbox and flyout at top of screen.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int TOOLBOX_AT_TOP = 0;
 
@@ -210,5 +210,5 @@
 		/// ENUM for toolbox and flyout at bottom of screen.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int TOOLBOX_AT_BOTTOM = 1;
 
@@ -216,5 +216,5 @@
 		/// ENUM for toolbox and flyout at left of screen.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int TOOLBOX_AT_LEFT = 2;
 
@@ -222,5 +222,5 @@
 		/// ENUM for toolbox and flyout at right of screen.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static int TOOLBOX_AT_RIGHT = 3;
 
@@ -236,5 +236,5 @@
 		public static Block selected;
 
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public static Blocks Blocks;
 
@@ -1485,5 +1485,5 @@
 	public class BlockSvg : Block
 	{
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public int TAB_HEIGHT = 20;
 
@@ -1739,5 +1739,5 @@
 		/// Non-breaking space.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public const string NBSP = "\u00A0";
 
@@ -1745,5 +1745,5 @@
 		/// Editable fields are saved by the XML renderer, non-editable fields are not.
 		/// </summary>
-		[Name(false)]
+		[Convention(Notation.PascalCase)]
 		public bool EDITABLE = true;
 